Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » operators » operatorAttributes
next | previous | forward | backward | up | index | toc

# operatorAttributes -- a hash table with information about Macaulay2 operators

- Usage:
    `operatorAttributes`
- Outputs:
  - an experimental hash table that give information about operators in the Macaulay2 language

## Description

Meanings of the symbols used:

- Flexible -- user defined methods may be installed
- Binary -- it's a binary operator
- Prefix -- it's a prefix unary operator
- Postfix -- it's a postfix unary operator

We intend to add parsing precedences to this table and eliminate seeParsing.

## For the programmer

The object operatorAttributes is a hash table.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_repl.m2:78:0.